Bug 955288 - ejabberd package should be built with PIE flags
Summary: ejabberd package should be built with PIE flags
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-22 17:25 UTC by Dhiru Kholia
Modified: 2014-03-25 03:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-07-11 02:35:03 UTC


Attachments (Terms of Use)

Description Dhiru Kholia 2013-04-22 17:25:48 UTC
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently ejabberd is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

ejabberd-2.1.12-1.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py ejabberd-2.1.12-1.fc19.x86_64.rpm
ejabberd,ejabberd-2.1.12-1.fc19.x86_64.rpm,/usr/lib64/ejabberd/priv/bin/epam,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip

Comment 1 Dhiru Kholia 2013-05-17 04:54:32 UTC
Peter,

Any progress on this bug?

Comment 2 Dhiru Kholia 2013-06-03 06:11:15 UTC
Do you want me to send a patch for this?

Comment 3 Fedora Update System 2013-06-29 05:33:26 UTC
ejabberd-2.1.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-1.fc18

Comment 4 Fedora Update System 2013-06-29 05:33:44 UTC
ejabberd-2.1.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-1.fc19

Comment 5 Fedora Update System 2013-06-29 05:34:02 UTC
ejabberd-2.1.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-1.el6

Comment 6 Fedora Update System 2013-06-29 18:42:43 UTC
Package ejabberd-2.1.13-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ejabberd-2.1.13-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11950/ejabberd-2.1.13-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-07-11 02:35:03 UTC
ejabberd-2.1.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-07-11 02:35:44 UTC
ejabberd-2.1.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-08-23 18:47:26 UTC
ejabberd-2.1.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.